<template>
  <div v-if="stockData.id">
    <el-image :src="'/images/stocks/image/' + this.stockData.id">

    </el-image>
    {{stockData}}
  </div>
</template>

<script>
import apiCalls from "@/apiCalls";

export default {
  name: "ImageData",
  props: {
    _id: {
      type: Number,
      required: true
    },
    _modelId: {
      type: Number,
      required: false
    },
    _shortName: {
      type: String,
      required: false
    },
    _width: {
      type: Number,
      required: false
    },
    _height: {
      type: Number,
      required: false
    },
    _size: {
      type: String,
      required: false
    },
    _mediaType: {
      type: String,
      required: false
    },
    _priority: {
      type: String,
      required: false
    }
  },
  data() {
    return {
      stockData: {}
    }
  },
  methods: {
    setData(modelId, shortName, width, height, size, mediaType, priority) {
      this.stockData.id = this._id
      this.stockData.modelId = modelId
      this.stockData.shortName = shortName
      this.stockData.width = width
      this.stockData.height = height
      this.stockData.size = size
      this.stockData.mediaType = mediaType
      this.stockData.priority = priority
    }
  },
  created() {
    if (this._modelId == null
        || this._shortName == null
        || this._width == null
        || this._height == null
        || this._size == null
        || this._mediaType == null
        || this._priority == null) {
      apiCalls.getImageItemByImageId(this._id)
          .then(res => res.data)
          .then(data => this.setData(data.stockId, data.shortName, data.width, data.height, data.imageSize, data.mediaType, data.imagePriority))
    } else {
      this.setData(this._modelId, this._shortName, this._width, this._height, this._size, this._mediaType, this._priority)
    }
  }
}
</script>

<style scoped>

</style>